osgDB::TemplateRegisterDotOsgWrapperProxy< T > Class Template Reference

`#include <DotOsgWrapper>`

Inheritance diagram for osgDB::TemplateRegisterDotOsgWrapperProxy< T >:

## Public Member Functions

| TemplateRegisterDotOsgWrapperProxy (osg::Object *proto, const std::string &name, const std::string &associates, DotOsgWrapper::ReadFunc readFunc, DotOsgWrapper::WriteFunc writeFunc, DotOsgWrapper::ReadWriteMode readWriteMode=DotOsgWrapper::READ_AND_WRITE)
Public Member Functions inherited from osgDB::RegisterDotOsgWrapperProxy
| RegisterDotOsgWrapperProxy (osg::Object *proto, const std::string &name, const std::string &associates, DotOsgWrapper::ReadFunc readFunc, DotOsgWrapper::WriteFunc writeFunc, DotOsgWrapper::ReadWriteMode readWriteMode=DotOsgWrapper::READ_AND_WRITE)
| ~RegisterDotOsgWrapperProxy ()

## Additional Inherited Members

Protected Attributes inherited from osgDB::RegisterDotOsgWrapperProxy
osg::ref_ptr< DotOsgWrapper > | _wrapper

## Detailed Description

template<class T>
class osgDB::TemplateRegisterDotOsgWrapperProxy< T >

deprecated.

## Constructor & Destructor Documentation

## TemplateRegisterDotOsgWrapperProxy()

template<class T>

osgDB::TemplateRegisterDotOsgWrapperProxy< T >::TemplateRegisterDotOsgWrapperProxy | ( | osg::Object * | proto,
|  | const std::string & | name,
|  | const std::string & | associates,
|  | DotOsgWrapper::ReadFunc | readFunc,
|  | DotOsgWrapper::WriteFunc | writeFunc,
|  | DotOsgWrapper::ReadWriteMode | readWriteMode = DotOsgWrapper::READ_AND_WRITE )

inline

References osgDB::DotOsgWrapper::READ_AND_WRITE, and osgDB::RegisterDotOsgWrapperProxy::RegisterDotOsgWrapperProxy().

The documentation for this class was generated from the following file:

- DotOsgWrapper